aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rwxr-xr-xtest/python/install_additional_jupyterlab.sh2
-rwxr-xr-xtest/python/install_jupyterlab.sh2
-rw-r--r--test/python/install_jupyterlab_debian.sh22
-rw-r--r--test/python/install_jupyterlab_ubuntu.sh22
-rw-r--r--test/python/scenarios.json22
5 files changed, 67 insertions, 3 deletions
diff --git a/test/python/install_additional_jupyterlab.sh b/test/python/install_additional_jupyterlab.sh
index a5658f0..58c4f7f 100755
--- a/test/python/install_additional_jupyterlab.sh
+++ b/test/python/install_additional_jupyterlab.sh
@@ -17,7 +17,7 @@ packages="$(python3 -m pip list)"
check "location" grep jupyter <<< "$packages"
# Check for git extension
-check "jupyterlab-git" grep jupyterlab-git <<< "$packages"
+check "jupyterlab_git" grep jupyterlab_git <<< "$packages"
# Check for correct JupyterLab configuration
check "config" grep ".*.allow_origin = '*'" /home/vscode/.jupyter/jupyter_server_config.py
diff --git a/test/python/install_jupyterlab.sh b/test/python/install_jupyterlab.sh
index a5658f0..58c4f7f 100755
--- a/test/python/install_jupyterlab.sh
+++ b/test/python/install_jupyterlab.sh
@@ -17,7 +17,7 @@ packages="$(python3 -m pip list)"
check "location" grep jupyter <<< "$packages"
# Check for git extension
-check "jupyterlab-git" grep jupyterlab-git <<< "$packages"
+check "jupyterlab_git" grep jupyterlab_git <<< "$packages"
# Check for correct JupyterLab configuration
check "config" grep ".*.allow_origin = '*'" /home/vscode/.jupyter/jupyter_server_config.py
diff --git a/test/python/install_jupyterlab_debian.sh b/test/python/install_jupyterlab_debian.sh
new file mode 100644
index 0000000..3db7fd4
--- /dev/null
+++ b/test/python/install_jupyterlab_debian.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Check for an installation of JupyterLab
+check "version" jupyter lab --version
+
+# Check location of JupyterLab installation
+packages="$(python3 -m pip list)"
+check "location" grep jupyter <<< "$packages"
+
+# Check for git extension
+check "jupyterlab_git" grep jupyterlab_git <<< "$packages"
+
+# Check for correct JupyterLab configuration
+check "config" grep ".*.allow_origin = '*'" /root/.jupyter/jupyter_server_config.py
+
+# Report result
+reportResults
diff --git a/test/python/install_jupyterlab_ubuntu.sh b/test/python/install_jupyterlab_ubuntu.sh
new file mode 100644
index 0000000..3db7fd4
--- /dev/null
+++ b/test/python/install_jupyterlab_ubuntu.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Check for an installation of JupyterLab
+check "version" jupyter lab --version
+
+# Check location of JupyterLab installation
+packages="$(python3 -m pip list)"
+check "location" grep jupyter <<< "$packages"
+
+# Check for git extension
+check "jupyterlab_git" grep jupyterlab_git <<< "$packages"
+
+# Check for correct JupyterLab configuration
+check "config" grep ".*.allow_origin = '*'" /root/.jupyter/jupyter_server_config.py
+
+# Report result
+reportResults
diff --git a/test/python/scenarios.json b/test/python/scenarios.json
index c3c1a82..c3c55d5 100644
--- a/test/python/scenarios.json
+++ b/test/python/scenarios.json
@@ -53,5 +53,25 @@
"features": {
"python": "3.10"
}
+ },
+ "install_jupyterlab_debian": {
+ "image": "debian:bullseye-slim",
+ "features": {
+ "python": {
+ "version": "3.11",
+ "installJupyterlab": true,
+ "configureJupyterlabAllowOrigin": "*"
+ }
+ }
+ },
+ "install_jupyterlab_ubuntu": {
+ "image": "ubuntu:focal",
+ "features": {
+ "python": {
+ "version": "3.11",
+ "installJupyterlab": true,
+ "configureJupyterlabAllowOrigin": "*"
+ }
+ }
}
-} \ No newline at end of file
+}